summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'scripts')
-rw-r--r--scripts/common.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/scripts/common.sh.in b/scripts/common.sh.in
index 3c1182016..f087f4431 100644
--- a/scripts/common.sh.in
+++ b/scripts/common.sh.in
@@ -124,7 +124,7 @@ init() {
# set to ensure the udev rule is correctly replaced on exit.
local RULE=${udevruledir}/90-zfs.rules
if test -e ${RULE}; then
- trap "mv ${RULE}.disabled ${RULE}; exit $?" INT TERM EXIT
+ trap "mv ${RULE}.disabled ${RULE}" INT TERM EXIT
mv ${RULE} ${RULE}.disabled
fi
}